<?php
/**
 * brawny Theme Customizer
 *
 * @package brawny
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */ 
function brawny_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport        = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'brawny_customize_register' ); 

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function brawny_customize_preview_js() {   
	wp_enqueue_script( 'brawny_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'brawny_customize_preview_js' );
 

if( get_theme_mod('enable_primary_color',false) ) {

	add_action( 'wp_head','wbls_customizer_primary_custom_css' );

	function wbls_customizer_primary_custom_css() {
			$primary = get_theme_mod( 'primary_color','#41285b');
			$primary_color = esc_html($primary);

			 ?>

	<style type="text/css"> 


a,.main-navigation .current_page_item a,.icon-horizontal a.link-title i,    
.icon-horizontal .icon-title i,
.icon-horizontal .fa-stack i,
.icon-vertical a.link-title i,.notfound-inner,.notfound-inner p a,
.icon-vertical .icon-title i,
.icon-vertical .fa-stack i,.icon-horizontal a.link-title:hover,
.icon-horizontal .icon-title:hover,
.icon-horizontal .fa-stack:hover,.cnt-address .fa:hover,.cnt-address h4,.cnt-address .textwidget:hover .fa,
.icon-vertical a.link-title:hover,h3.widget-title,.order-total .amount,
.cart-subtotal .amount,
.icon-vertical .icon-title:hover,.site-footer .footer-bottom ul.menu li a:hover,.site-footer .footer-bottom ul.menu li.current_page_item a,.site-footer .widget_social-networks-widget ul li a,
.icon-vertical .fa-stack:hover,h1.entry-title a:hover,.tabs-container ul.ui-tabs-nav li.ui-tabs-active a,
.tabs-container ul.ui-tabs-nav li a:hover,.toggle .toggle-title .icn,
.ei-title h3,.ui-accordion .ui-accordion-header-active span.fa,.widget_recent-work-widget .recent_work_overlay .fa:hover,
.main-navigation .current-menu-item a,.content-details h3 a:hover,.widget_recent-posts-gallery-widget .flex-recent-posts h4,
.main-navigation ul.menu.nav-menu > li.current-menu-ancestor > a,
.our-achive i ,.circle-icon-box:hover h4,.circle-icon-box:hover p.fa-stack i,.main-navigation ul.nav-menu li a:hover,
.order-total .amount,
.cart-subtotal .amount,.woocommerce #content table.cart a.remove,
.woocommerce table.cart a.remove,
.woocommerce-page #content table.cart a.remove,
.woocommerce-page table.cart a.remove
  		{
				color: <?php echo $primary_color; ?>; 
		}
		

.flex-container .flex-caption a,.btn,.widget_social-networks-widget ul li a:hover, .share-box ul li a:hover, #header-bottom .top-right ul li a:hover,
.widget_button-widget .btn,.callout-widget .callout-btn a,table td#today,.widget_recent-work-widget .flex-direction-nav a.flex-prev,.notfound-inner .search-form input[type="search"],
.widget_recent-work-widget .flex-direction-nav a.flex-next,.widget.widget_ourteam-widget .team-content .close:hover,.ui-accordion h3 span.fa,.site-footer .widget_calendar td.widget_ourteam-widget .team-content .close:hover,.widget_social-networks-widget ul li a:hover,.widget.widget_ourteam-widget ul.team-social li a,.site-footer .widget_calendar td.widget_ourteam-widget ul.team-social li a,
.share-box ul li a:hover,li.filter-options li a:hover,.portfolioeffects:hover .portfolio_overlay a:hover,.flex-control-paging li a.flex-active,
.flex-control-paging li a:hover,.page-slider .ei-slider-thumbs li a,.widget .ei-slider-thumbs li a,.site-footer .widget_calendar td .ei-slider-thumbs li a,
ul.ei-slider-thumbs li a,.notice,.hr_fancy2:before,.dropcap-circle,.service-page .textwidget .fa,
.dropcap-box,.sep:before,.pullleft,.withtip:before,.callout-widget:before,.cnt-address .fa,.og-grid .fa,
.pullright,.toggle .toggle-title,.toggle .toggle-title:hover,.slicknav_menu,
ul.filter-options li a.selected,.widget_recent-posts-gallery-widget .recent-post,.ui-accordion .ui-accordion .ui-accordion-header:hover,.ui-accordion h3:active,.ui-accordion .ui-accordion-header-active,.page-links a,.widget.widget_skill-widget .skill-container .skill .skill-percentage,.site-footer .widget_calendar td.widget_skill-widget .skill-container .skill .skill-percentage,ol.webulous_page_navi li a:hover,.main-navigation ul.sub-menu li.current_page_item > a,
.main-navigation ul.sub-menu li.current_page_ancestor > a,.post-navigation .nav-links a:hover,.post-navigation .nav-links a:focus,
.paging-navigation .nav-links a:hover,.site-footer .widget_testimonial-widget .flex-direction-nav a.flex-prev,
.site-footer .widget_testimonial-widget .flex-direction-nav a.flex-next,.ui-accordion h3,.widget_webulous-image-widget i,.comment-navigation .nav-next a:hover,
.comment-navigation .nav-previous a:hover,.site-footer a.more-button,.widget_image-box-widget a.more-button,.widget-area .widget_calendar caption,.tagcloud a:hover,.widget_search input.search-submit:hover,.site-header,
.paging-navigation .nav-links a:focus,.woocommerce #content div.product .woocommerce-tabs ul.tabs li a:hover,
.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a:hover,
.woocommerce-page div.product .woocommerce-tabs ul.tabs li a:hover,
.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active,
.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active,.woocommerce #content nav.woocommerce-pagination ul li a:focus,
.woocommerce #content nav.woocommerce-pagination ul li a:hover,
.woocommerce #content nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce-page #content nav.woocommerce-pagination ul li a:focus,
.woocommerce-page #content nav.woocommerce-pagination ul li a:hover,
.woocommerce-page #content nav.woocommerce-pagination ul li span.current,
.woocommerce-page nav.woocommerce-pagination ul li a:focus,
.woocommerce-page nav.woocommerce-pagination ul li a:hover,
.woocommerce-page nav.woocommerce-pagination ul li span.current,
#commentform .form-submit input,.site-content .wpcf7-form input[type="submit"]
		{
		 	background-color: <?php echo $primary_color; ?>; 
		}

.woocommerce #content input.button:hover,
.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce-page #content input.button:hover,
.woocommerce-page #respond input#submit:hover,
.woocommerce-page a.button:hover,
.woocommerce-page button.button:hover,
.woocommerce-page input.button:hover {
	background-color: <?php echo $primary_color; ?>!important; 
}
	
input[type="text"]:focus,
input[type="email"]:focus,.circle-icon-box .service:hover,
input[type="url"]:focus,.toggle .toggle-title .icn,.widget_image-box-widget .image-box img,
input[type="password"]:focus,.dropcap-box,
input[type="search"]:focus,.flex-control-paging li a.flex-active,
.flex-control-paging li a:hover,.circle-icon-box:hover,
textarea:focus,.site-content .wpcf7-form input[type="submit"],.cnt-form .wpcf7-form input[type="text"],
.cnt-form .wpcf7-form input[type="email"],
.cnt-form .wpcf7-form textarea
		{
			border-color: <?php echo $primary_color;?>;
		}



.withtip.top:after,.widget.widget_ourteam-widget .team-content h4 span::after,.site-footer .widget_calendar td.widget_ourteam-widget .team-content h4 span::after
		{
			border-top-color: <?php  echo $primary_color; ?>;
		}

.withtip.left:after
		{
			border-left-color: <?php  echo $primary_color; ?>;
		}

ul.filter-options li ,.withtip.right:after
 		{
			border-right-color: <?php  echo $primary_color; ?>;
		}

.widget-area h3.widget-title:after,.widget_recent-work-widget .flex-direction-nav a.flex-prev,
  .widget_recent-work-widget .flex-direction-nav a.flex-next,.withtip.bottom:after 
  		{
			border-bottom-color: <?php  echo $primary_color; ?>;
		}

				
			</style>
<?php
	}
}

if( get_theme_mod('enable_nav_bg_color',false) ) {

	add_action( 'wp_head','wbls_customizer_navbg_custom_css' );

		function wbls_customizer_navbg_custom_css() {
			$nav_bg_color = get_theme_mod( 'nav_bg_color','#282828'); ?>

				<style type="text/css">

					#nav-wrap,.main-navigation ul ul,.main-navigation ul.sub-menu li.current_page_item a, .main-navigation ul.sub-menu .current-menu-item a, .main-navigation ul.sub-menu li.current_page_ancestor > a
							{
								background-color: <?php echo esc_html($nav_bg_color); ?>;
							}
				</style>
<?php }
}




if( get_theme_mod('enable_nav_hover_color',false) ) {

	add_action( 'wp_head','wbls_customizer_hover_custom_css' );

		function wbls_customizer_hover_custom_css() {
			$nav_hover_color = get_theme_mod( 'nav_hover_color','#ffffff'); ?>

<style type="text/css">

.main-navigation .current_page_item a,.main-navigation .current-menu-item a,.main-navigation ul.menu.nav-menu > li.current-menu-ancestor > a,.main-navigation ul.menu > li > a:hover,.main-navigation .current_page_item li a:hover, .main-navigation .current-menu-item li a:hover, .main-navigation ul.menu.nav-menu > li.current-menu-ancestor li a:hover, .main-navigation ul.menu > li li a:hover
{
	background-color: <?php echo esc_html($nav_hover_color); ?>;
}
</style>
	 <?php if( $nav_hover_color != '#ffffff') { ?>
	 <style type="text/css">
		.main-navigation .current_page_item a, .main-navigation .current-menu-item a, .main-navigation ul.menu.nav-menu > li.current-menu-ancestor > a,.main-navigation ul.menu > li > a:hover {
			color: #fff;
		}							
	</style>			
<?php } }
}


if( get_theme_mod('enable_secondary_color',false) ) {

	add_action( 'wp_head','wbls_customizer_secondary_custom_css' );

		function wbls_customizer_secondary_custom_css() {
			$secondary_color = get_theme_mod( 'secondary_color','#282828'); ?>

	<style type="text/css">

/* secondary color */

.icon-horizontal a.link-title,
.icon-horizontal .icon-title,.woocommerce ul.products li.product .price,
.icon-horizontal .fa-stack,.site-footer .widget.widget_ourteam-widget .team-content h4,.site-footer .widget_calendar td.widget_ourteam-widget .team-content h4,
.icon-vertical a.link-title,.site-footer a.more-button:hover,.site-footer .image-widget-overlay i,
.icon-vertical .icon-title,.site-footer .circle-icon-box p.more-button a,.site-footer .circle-icon-box p.more-button a:hover,
.icon-vertical .fa-stack,.widget_testimonial-widget .testimony p:nth-child(1)::before,.widget_testimonial-widget ul li p.client strong,blockquote:before,blockquote cite a,.columns.breadcrumb #breadcrumb a:hover,h1.entry-title a,.widget_social-networks-widget ul li a,
.share-box ul li a,ul.filter-options li a,#portfolio h4 a:hover,.widget_recent-work-widget .recent_work_overlay .fa,.widget_recent-work-widget .work:hover .recent_work_overlay .fa:hover,.widget.widget_ourteam-widget ul.team-social li a,.ui-accordion h3:hover,.site-footer .widget_calendar td.widget_ourteam-widget ul.team-social li a
		{
			color: <?php echo esc_html($secondary_color); ?>; 
		}
		

.site-content .wpcf7-form input[type="submit"]:hover,.navigation-wrap,.main-navigation ul ul,.comment-navigation .nav-next a,
.comment-navigation .nav-previous a,.woocommerce #content input.button,
.slicknav_menu .slicknav_btn,
.slicknav_menu .slicknav_btn:hover,
.woocommerce-page a.button,
.woocommerce-page button.button,
.woocommerce-page input.button ,.slicknav_menu li.current-menu-item a,
.slicknav_menu li a:hover,
.slicknav_menu .slicknav_row:hover,
.og-grid h4:hover,.single-portfolio .single-wrapper .one-third,.widget_image-box-widget a.more-button:hover,.widget_recent-work-widget .flex-direction-nav a.flex-prev:hover,
.widget_recent-work-widget .flex-direction-nav a.flex-next:hover,.flex-container .flex-direction-nav a:hover,.page-links a:hover,.widget.widget_ourteam-widget ul.team-social li a:hover,.site-footer .widget_calendar td.widget_ourteam-widget ul.team-social li a:hover
		{
		 	background-color: <?php echo esc_html($secondary_color); ?>; 
		}
		

.sticky,.gallery-item img,.ui-accordion .ui-accordion-header-active span.fa,.dropcap-book,.widget_recent-work-widget .flex-direction-nav a.flex-prev:hover,
.widget_recent-work-widget .flex-direction-nav a.flex-next:hover,.flex-container .flex-direction-nav a:hover
		{
			border-color: <?php echo esc_html($secondary_color); ?>;
		}

			</style>
<?php
		}
}

if( get_theme_mod('enable_header_bg_color',false) ) {

	add_action( 'wp_head','wbls_customizer_header_bg_css' );

		function wbls_customizer_header_bg_css() {
			$header_bg_color = get_theme_mod( 'header_bg_color','#41285b'); ?>

				<style type="text/css">

#header-bottom
			{
				background-color: <?php echo esc_html($header_bg_color); ?>;
			}
				</style>
<?php }
}


